## ros-melodic-raw-description 0.7.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(raw_description)

find_package(catkin REQUIRED)

catkin_package()

install(DIRECTORY Media meshes urdf
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-melodic-raw-description (0.7.4-1stretch) stretch; urgency=high



 -- Jannik Abbenseth <jba@ipa.fhg.de>  Thu, 19 Nov 2020 23:00:00 -0000

ros-melodic-raw-description (0.7.3-1stretch) stretch; urgency=high

  * Merge pull request #288 <https://github.com/ipa320/cob_common/issues/288> from fmessmer/test_noetic
    test noetic
  * Bump CMake version to avoid CMP0048 warning
  * Merge pull request #287 <https://github.com/ipa320/cob_common/issues/287> from fmessmer/fix/include_common_xacro
    add missing common xacro includes
  * more missing common.xacro for intertial macros
  * Merge pull request #279 <https://github.com/ipa320/cob_common/issues/279> from fmessmer/fix_xacro_test
    [travis] xacro test
  * comment ur_description bits
  * Contributors: Felix Messmer, fmessmer

 -- Jannik Abbenseth <jba@ipa.fhg.de>  Fri, 25 Sep 2020 22:00:00 -0000

ros-melodic-raw-description (0.7.2-1stretch) stretch; urgency=high

  * Merge pull request #281 <https://github.com/ipa320/cob_common/issues/281> from ipa-jba/feature/raw-mini
    Feature/raw mini
  * nitpick
  * remove unneeded values
  * add a planar move plugin for raw-mini (no mecanum)
  * use updated meshes
  * add a mecanum wheel (5cm wide 5cm radius)
  * Updated config for raw-mini
  * Added files for raw-mini
  * Merge pull request #277 <https://github.com/ipa320/cob_common/issues/277> from fmessmer/ci_updates
    [travis] ci updates
  * catkin_lint fixes
  * Contributors: Felix Messmer, Jannik Abbenseth, flg-vs, fmessmer

 -- Jannik Abbenseth <jba@ipa.fhg.de>  Tue, 17 Mar 2020 23:00:00 -0000

ros-melodic-raw-description (0.7.1-1stretch) stretch; urgency=high



 -- Jannik Abbenseth <jba@ipa.fhg.de>  Wed, 06 Nov 2019 23:00:00 -0000

ros-melodic-raw-description (0.7.0-1stretch) stretch; urgency=high

  * Merge pull request #271 <https://github.com/ipa320/cob_common/issues/271> from benmaidel/feature/melodify
    [Melodic]
  * more hardware_interface prefixing
  * added hardware_interface prefix for transmission (melodic's cob_gazebo_ros_control plugin expects it)
  * Contributors: Benjamin Maidel, Felix Messmer, fmessmer

 -- Jannik Abbenseth <jba@ipa.fhg.de>  Mon, 05 Aug 2019 22:00:00 -0000

ros-melodic-raw-description (0.6.12-1stretch) stretch; urgency=high



 -- Jannik Abbenseth <jba@ipa.fhg.de>  Sun, 19 May 2019 22:00:00 -0000

ros-melodic-raw-description (0.6.11-1stretch) stretch; urgency=high



 -- Jannik Abbenseth <jba@ipa.fhg.de>  Thu, 04 Apr 2019 22:00:00 -0000

ros-melodic-raw-description (0.6.10-1stretch) stretch; urgency=high



 -- Jannik Abbenseth <jba@ipa.fhg.de>  Wed, 13 Mar 2019 23:00:00 -0000

ros-melodic-raw-description (0.6.9-1stretch) stretch; urgency=high

  * fix syntax
  * fix torso urdf for raw3-1 (#241 <https://github.com/ipa320/cob_common/issues/241>)
    * updated raw3-1 configuration
    * Changed back to collision box
    * Using inertia macro
    * Use geometry macro
  * Contributors: Felix Messmer, Richard Bormann

 -- Jannik Abbenseth <jba@ipa.fhg.de>  Fri, 20 Jul 2018 22:00:00 -0000

ros-melodic-raw-description (0.6.8-1stretch) stretch; urgency=high

  * Merge pull request #246 <https://github.com/ipa320/cob_common/issues/246> from ipa320/indigo_release_candidate
    Indigo release candidate
  * Merge pull request #239 <https://github.com/ipa320/cob_common/issues/239> from ipa-fxm/indigo_dev_rmb
    corrected torso definition
  * corrected torso definition
  * Merge pull request #232 <https://github.com/ipa320/cob_common/issues/232> from bmagyar/simplify_raw_vacuum_gripper_collision_model
    Replace vacuum gripper collision mesh with bounding box
  * Replace vacuum gripper collision mesh with bounding box
  * Merge pull request #230 <https://github.com/ipa320/cob_common/issues/230> from ipa-fxm/update_maintainer
    update maintainer
  * Merge pull request #231 <https://github.com/ipa320/cob_common/issues/231> from ipa-fxm/update_torso_raw3-1
    new torso raw3-1
  * add new torso for raw3-1
  * add powerball urdf
  * update maintainer
  * Merge pull request #224 <https://github.com/ipa320/cob_common/issues/224> from ipa-fxm/APACHE_license
    use license apache 2.0
  * Merge pull request #229 <https://github.com/ipa320/cob_common/issues/229> from ipa-fxm/move_ur_arm
    move ur_arm to raw_description
  * move ur_arm to raw_description
  * use license apache 2.0
  * Contributors: Bence Magyar, Felix Messmer, Richard Bormann, ipa-fxm, ipa-uhr-mk

 -- Jannik Abbenseth <jba@ipa.fhg.de>  Sat, 06 Jan 2018 23:00:00 -0000

ros-melodic-raw-description (0.6.7-1stretch) stretch; urgency=high

  * Current config gripper (#221 <https://github.com/ipa320/cob_common/issues/221>)
    * added vacuum gripper
    * New STL file for the vacuum gripper
    * Vacuum Gripper file description updated
    * torso and gripper updates
    * removed obsolete files
    * orient_gripper
  * fix the wheel radius to meet with the actual hardware radii
  * separate laser scanner from base
  * finalizing
  * changes acoording to pull request
  * origin of the colision mesh corrected according with visual values
  * origin of the colision mesh corrected
  * gripper mesh simplified
  * stable behavior by tweaking the base mass/inertia achieved
  * stable behavior by tweaking the base mass/inertia achieved
  * get a stable behavior by tweaking the base mass/inertia
  * use scalable primitive meshes
  * use the properties at the top for the collision properties
  * file name and suffix all small letters.
  * gripper macro name changed and prefix removed as argument
  * tabs vs spaces solved
  * requested changes
  * torso and gripper updates
  * Vacuum Gripper file description updated
  * New STL file for the vacuum gripper
  * added vacuum gripper
  * move gazebo_ros_control plugin
  * use latest xacro syntax
  * manually fix changelog
  * Contributors: Bruno Brito, Richard Bormann, ipa-bfb-sc, ipa-fxm, ipa-mjp, ipa-raw3-3

 -- Jannik Abbenseth <jba@ipa.fhg.de>  Sun, 16 Jul 2017 22:00:00 -0000



=== debian/control ===
Source: ros-melodic-raw-description
Section: misc
Priority: optional
Maintainer: Jannik Abbenseth <jba@ipa.fhg.de>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin
Homepage: http://ros.org/wiki/cob_description
Standards-Version: 3.9.2

Package: ros-melodic-raw-description
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-cob-description, ros-melodic-gazebo-ros, ros-melodic-xacro
Description: This package contains the description (mechanical, kinematic, visual, etc.) of the Care-O-bot robot.
 The files in this package are parsed and used by a variety of other components. Most users will not interact directly with this package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-raw-description//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
